<template>
  <div class="wrap">
    <button @click="this.changeName">我要改名字了</button>
    <p>我的名字：{{name}}</p>
    <Child2/>
  </div>
</template>

<script>
import Child2 from './Child2'
export default {
  name: 'Parent2',
  // 响应式的
  provide(){
    return{
      obj:this
    }
  },
  components:{
    Child2
  },
  data () {
    return {
      msg: 'Parent2',
      name:'Parent2响应式的注入'
    }
  },
  created(){
    
  },
  methods:{
    changeName() {
      this.name = '我是响应式的注入';
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
</style>
